package org.jeecg.modules.projectManagement.entity;

import org.jeecg.modules.message.entity.MailAttacch;

import java.util.List;

/**
 * 描述
 *
 * @author:陈创
 * @date:2020/4/17 14:08
 */
public class EmailEntity {

    //发件人
    private String sender;

    //发送人名称
    private String senderName;

    //发送人邮箱
    private String senderEmail;

    //接收人
    private String receiver;

    //接收人多个
    private List<String> receiverList;

    //标题
    private String title;

    //内容
    private String content;

    //附件
    private List<MailAttacch> mailAttacchList;

    public String getSender() {
        return sender;
    }

    public void setSender(String sender) {
        this.sender = sender;
    }

    public String getReceiver() {
        return receiver;
    }

    public void setReceiver(String receiver) {
        this.receiver = receiver;
    }

    public List<String> getReceiverList() {
        return receiverList;
    }

    public void setReceiverList(List<String> receiverList) {
        this.receiverList = receiverList;
    }

    public String getTitle() {
        return title;
    }

    public void setTitle(String title) {
        this.title = title;
    }

    public String getContent() {
        return content;
    }

    public void setContent(String content) {
        this.content = content;
    }

    public List<MailAttacch> getMailAttacchList() {
        return mailAttacchList;
    }

    public void setMailAttacchList(List<MailAttacch> mailAttacchList) {
        this.mailAttacchList = mailAttacchList;
    }

    public String getSenderName() {
        return senderName;
    }

    public void setSenderName(String senderName) {
        this.senderName = senderName;
    }

    public String getSenderEmail() {
        return senderEmail;
    }

    public void setSenderEmail(String senderEmail) {
        this.senderEmail = senderEmail;
    }
}
